QGIS Application - Bug report #10039
line intersection fails if ID name is the same
2014-04-09 10:26 AM - matteo ghetta

Status: Closed

Priority: Normal
Assignee:

Category: Processing/QGIS

Affected QGIS version:2.2.0
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution: end of life

Copied to github as #: 18520

Description

The line intersection tool fails if the field name of the two layers involved in the analysis is the same. Example: if | want to perform the
line intersection between field ID of layer_1 and field ID of layer_2, the operation results the intersection for the ID of only layer_1.

See attach for a graphical comparison of the two different results.

History

#1 - 2014-06-02 05:49 AM - Filip Mahieu
- File ErrorintersectiDNameTheSame.PNG added

It seems also that when you intersect two shapes that have each a column with the same name (e.g. 'ID"), the resulting table does not give attribute-info for

both fields in the intersection layer. | changed the name of one of the two fields, and then it was displayed.

In attach you see the attribute table of the intersect. You see ID and id_1 in which only one field is filled..

#2 - 2014-06-02 06:01 AM - Filip Mahieu

| work with 'geoprocessing tools'

#3 - 2017-01-02 05:50 AM - Giovanni Manghi
- Category changed from 44 to Processing/QGIS

#4 - 2017-05-01 01:08 AM - Giovanni Manghi
- Regression? set to No
- Easy fix? set to No

#5 - 2019-03-09 03:12 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
